package com.cloudcross.ssp.model;

import java.util.Date;
/**
 * *
 * @author WangHeng
 *	和t_code_convert表相关
 *	是转化代码对应的实体类
 *	
 */
public class CodeConvert {
	
	private Long id;  //转化代码Id	
	
	private Long advertiserId;  //广告主ID	
	
	private String convertName;    //转化代码名称
	
	private Long convertType;    //转化目标类型
	
	private String script;     //  javascript代码
	
	private String picture;       //图片代码
	
	private Date updated;    //最后更新时间
	

	public Long getId() {
		return id;
	}


	public void setId(Long id) {
		this.id = id;
	}


	public Long getAdvertiserId() {
		return advertiserId;
	}


	public void setAdvertiserId(Long advertiserId) {
		this.advertiserId = advertiserId;
	}


	public String getConvertName() {
		return convertName;
	}


	public void setConvertName(String convertName) {
		this.convertName = convertName;
	}


	public Long getConvertType() {
		return convertType;
	}


	public void setConvertType(Long convertType) {
		this.convertType = convertType;
	}


	public String getScript() {
		return script;
	}


	public void setScript(String script) {
		this.script = script;
	}


	public String getPicture() {
		return picture;
	}


	public void setPicture(String picture) {
		this.picture = picture;
	}


	public Date getUpdated() {
		return updated;
	}


	public void setUpdated(Date updated) {
		this.updated = updated;
	}


	@Override
	public String toString() {
		return "CodeConvert [id=" + id + ", advertiserId=" + advertiserId
				+ ", convertName=" + convertName + ", convertType=" + convertType
				+ ", script=" + script + ", picture=" + picture
				+ ",  updated=" + updated + "]";
	
	}	
}
